(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? module.exports = factory() :
    typeof define === 'function' && define.amd ? define(factory) :
    (global = global || self, global.falorem = factory());
}(this, function () { 'use strict';

    /** * @internal */
    var getNItemfromArray = function (n, arr) {
        return (n <= arr.length || arr.length === 0)
            ? arr.slice(0, n)
            : getNItemfromArray(n, arr.concat(arr));
    };

    /** * @internal */
    var generateSentence = function (n, array) { return getNItemfromArray(n, array).join(' '); };

    /** * @internal */
    var lorem = [
        'لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.',
        'چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی',
        'مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد.',
        'کتابهای زیادی در شصت و سه درصد گذشته، حال و آینده شناخت فراوان جامعه و متخصصان را می طلبد تا',
        'با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی و فرهنگ',
        'پیشرو در زبان فارسی ایجاد کرد. در این صورت می توان امید داشت که تمام و دشواری موجود',
        'در ارائه راهکارها و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی',
        'دستاوردهای اصلی و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد',
    ].join(' ');
    /** * @internal */
    var paragraphs = [lorem];
    /** * @internal */
    var sentences = lorem.split('.').map(function (sentence) { return sentence + "."; });
    /** * @internal */
    var words = lorem.replace(/\./gi, '').split(' ');

    var lorem$1 = {
        paragraphs: function (n) { return generateSentence(n, paragraphs); },
        sentences: function (n) { return generateSentence(n, sentences); },
        words: function (n) { return generateSentence(n, words); },
    };

    return lorem$1;

}));
//# sourceMappingURL=index.umd.js.map
